Subject: Re: Make "git clone" less of a deathly quiet experience

From: Keith Packard <[email-masked]>
Date: Sun, 12 Feb 2006 13:04:27 -0800

On Sun, 2006-02-12 at 12:02 +0100, Andreas Ericsson wrote:

> Caching features have been discussed, but that means the daemon needs to 
> have write-access to some directory within the repository. 

Caching seems a bit dicey to me; security concerns and all. I would much
rather have it discover packs on disk that provided a subset of the
necessary objects; repository cloning would then be a process of
delivering any available packs and then packing up the remaining
objects. Clever administration of the repository could then construct a
single pack of 'historical' data followed by periodic packs of
incremental data.

Yeah, I know, I should just implement this and see how well it works in
practice. I apologize for thinking in public.     
      
-- 
[email-masked]